	.file	"leak-cases.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.type	VALGRIND_PRINTF, @function
VALGRIND_PRINTF:
.LFB0:
	.file 1 "../../include/valgrind.h"
	.loc 1 3715 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3725 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB2:
	.loc 1 3733 0
	movl	$5123, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3733 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE2:
	movl	%eax, -4(%ebp)
	.loc 1 3740 0
	movl	-4(%ebp), %eax
	.loc 1 3742 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	VALGRIND_PRINTF, .-VALGRIND_PRINTF
	.type	VALGRIND_PRINTF_BACKTRACE, @function
VALGRIND_PRINTF_BACKTRACE:
.LFB1:
	.loc 1 3753 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3763 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB3:
	.loc 1 3771 0
	movl	$5124, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3771 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE3:
	movl	%eax, -4(%ebp)
	.loc 1 3778 0
	movl	-4(%ebp), %eax
	.loc 1 3780 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	VALGRIND_PRINTF_BACKTRACE, .-VALGRIND_PRINTF_BACKTRACE
.globl mk
	.type	mk, @function
mk:
.LFB2:
	.file 2 "leak-cases.c"
	.loc 2 49 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 2 52 0
	movl	$16, (%esp)
	call	malloc
	movl	%eax, -12(%ebp)
	.loc 2 53 0
	movl	-12(%ebp), %eax
	movl	8(%ebp), %edx
	movl	%edx, (%eax)
	.loc 2 54 0
	movl	-12(%ebp), %eax
	.loc 2 55 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	mk, .-mk
	.comm	p1,4,4
	.comm	p2,4,4
	.comm	p3,4,4
	.comm	p4,4,4
	.comm	p5,4,4
	.comm	p6,4,4
	.comm	p7,4,4
	.comm	p8,4,4
	.comm	p9,4,4
.globl f
	.type	f, @function
f:
.LFB3:
	.loc 2 69 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 2 70 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, p1
	.loc 2 72 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	movl	%eax, p2
	.loc 2 74 0
	movl	$0, (%esp)
	call	mk
	.loc 2 76 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	.loc 2 78 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, p5
	.loc 2 79 0
	movl	p5, %eax
	addl	$8, %eax
	movl	%eax, p5
	.loc 2 81 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	movl	%eax, p6
	.loc 2 82 0
	movl	p6, %eax
	movl	(%eax), %edx
	addl	$8, %edx
	movl	%edx, (%eax)
	.loc 2 84 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	movl	%eax, p7
	.loc 2 85 0
	movl	p7, %eax
	addl	$8, %eax
	movl	%eax, p7
	.loc 2 87 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	movl	%eax, p8
	.loc 2 88 0
	movl	p8, %eax
	movl	(%eax), %edx
	addl	$8, %edx
	movl	%edx, (%eax)
	.loc 2 89 0
	movl	p8, %eax
	addl	$8, %eax
	movl	%eax, p8
	.loc 2 91 0
	movl	$0, (%esp)
	call	mk
	movl	%eax, (%esp)
	call	mk
	movl	%eax, p9
	.loc 2 92 0
	movl	p9, %eax
	movl	(%eax), %edx
	addl	$8, %edx
	movl	%edx, (%eax)
	.loc 2 93 0
	movl	$0, p9
	.loc 2 94 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	f, .-f
	.section	.rodata
	.align 4
.LC0:
	.string	"leaked:     %3ld bytes in %2ld blocks\n"
	.align 4
.LC1:
	.string	"dubious:    %3ld bytes in %2ld blocks\n"
	.align 4
.LC2:
	.string	"reachable:  %3ld bytes in %2ld blocks\n"
	.align 4
.LC3:
	.string	"suppressed: %3ld bytes in %2ld blocks\n"
	.text
.globl main
	.type	main, @function
main:
.LFB4:
	.loc 2 97 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$320, %esp
	.loc 2 98 0
	movl	$0, 256(%esp)
	movl	$0, 260(%esp)
	movl	$0, 264(%esp)
	movl	$0, 268(%esp)
	movl	$0, 272(%esp)
	movl	$0, 276(%esp)
	movl	$0, 280(%esp)
	movl	$0, 284(%esp)
	movl	$0, 288(%esp)
	movl	$0, 292(%esp)
	movl	$0, 296(%esp)
	movl	$0, 300(%esp)
	movl	$0, 304(%esp)
	movl	$0, 308(%esp)
	movl	$0, 312(%esp)
	movl	$0, 316(%esp)
.LBB4:
	.loc 2 100 0
	movl	$1296236550, 232(%esp)
	movl	$1, 236(%esp)
	movl	$0, 240(%esp)
	movl	$0, 244(%esp)
	movl	$0, 248(%esp)
	movl	$0, 252(%esp)
	leal	232(%esp), %eax
	movl	$0, %edx
#APP
# 100 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 228(%esp)
	movl	228(%esp), %eax
.LBE4:
.LBB5:
	movl	$0, 224(%esp)
	movl	$0, 220(%esp)
	movl	$0, 216(%esp)
	movl	$0, 212(%esp)
.LBB6:
	movl	$1296236551, 188(%esp)
	leal	224(%esp), %eax
	movl	%eax, 192(%esp)
	leal	220(%esp), %eax
	movl	%eax, 196(%esp)
	leal	216(%esp), %eax
	movl	%eax, 200(%esp)
	leal	212(%esp), %eax
	movl	%eax, 204(%esp)
	movl	$0, 208(%esp)
	leal	188(%esp), %eax
	movl	$0, %edx
#APP
# 100 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 184(%esp)
	movl	184(%esp), %eax
.LBE6:
	movl	224(%esp), %eax
	movl	%eax, 256(%esp)
	movl	220(%esp), %eax
	movl	%eax, 272(%esp)
	movl	216(%esp), %eax
	movl	%eax, 288(%esp)
	movl	212(%esp), %eax
	movl	%eax, 304(%esp)
.LBE5:
.LBB7:
	movl	$0, 180(%esp)
	movl	$0, 176(%esp)
	movl	$0, 172(%esp)
	movl	$0, 168(%esp)
.LBB8:
	movl	$1296236556, 144(%esp)
	leal	180(%esp), %eax
	movl	%eax, 148(%esp)
	leal	176(%esp), %eax
	movl	%eax, 152(%esp)
	leal	172(%esp), %eax
	movl	%eax, 156(%esp)
	leal	168(%esp), %eax
	movl	%eax, 160(%esp)
	movl	$0, 164(%esp)
	leal	144(%esp), %eax
	movl	$0, %edx
#APP
# 100 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 140(%esp)
	movl	140(%esp), %eax
.LBE8:
	movl	180(%esp), %eax
	movl	%eax, 264(%esp)
	movl	176(%esp), %eax
	movl	%eax, 280(%esp)
	movl	172(%esp), %eax
	movl	%eax, 296(%esp)
	movl	168(%esp), %eax
	movl	%eax, 312(%esp)
.LBE7:
	.loc 2 107 0
	call	f
.LBB9:
	.loc 2 110 0
	movl	$1296236550, 116(%esp)
	movl	$1, 120(%esp)
	movl	$0, 124(%esp)
	movl	$0, 128(%esp)
	movl	$0, 132(%esp)
	movl	$0, 136(%esp)
	leal	116(%esp), %eax
	movl	$0, %edx
#APP
# 110 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 112(%esp)
	movl	112(%esp), %eax
.LBE9:
.LBB10:
	movl	$0, 108(%esp)
	movl	$0, 104(%esp)
	movl	$0, 100(%esp)
	movl	$0, 96(%esp)
.LBB11:
	movl	$1296236551, 72(%esp)
	leal	108(%esp), %eax
	movl	%eax, 76(%esp)
	leal	104(%esp), %eax
	movl	%eax, 80(%esp)
	leal	100(%esp), %eax
	movl	%eax, 84(%esp)
	leal	96(%esp), %eax
	movl	%eax, 88(%esp)
	movl	$0, 92(%esp)
	leal	72(%esp), %eax
	movl	$0, %edx
#APP
# 110 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 68(%esp)
	movl	68(%esp), %eax
.LBE11:
	movl	108(%esp), %eax
	movl	%eax, 260(%esp)
	movl	104(%esp), %eax
	movl	%eax, 276(%esp)
	movl	100(%esp), %eax
	movl	%eax, 292(%esp)
	movl	96(%esp), %eax
	movl	%eax, 308(%esp)
.LBE10:
.LBB12:
	movl	$0, 64(%esp)
	movl	$0, 60(%esp)
	movl	$0, 56(%esp)
	movl	$0, 52(%esp)
.LBB13:
	movl	$1296236556, 28(%esp)
	leal	64(%esp), %eax
	movl	%eax, 32(%esp)
	leal	60(%esp), %eax
	movl	%eax, 36(%esp)
	leal	56(%esp), %eax
	movl	%eax, 40(%esp)
	leal	52(%esp), %eax
	movl	%eax, 44(%esp)
	movl	$0, 48(%esp)
	leal	28(%esp), %eax
	movl	$0, %edx
#APP
# 110 "leak-cases.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 24(%esp)
	movl	24(%esp), %eax
.LBE13:
	movl	64(%esp), %eax
	movl	%eax, 268(%esp)
	movl	60(%esp), %eax
	movl	%eax, 284(%esp)
	movl	56(%esp), %eax
	movl	%eax, 300(%esp)
	movl	52(%esp), %eax
	movl	%eax, 316(%esp)
.LBE12:
	movl	256(%esp), %eax
	subl	%eax, 260(%esp)
	movl	264(%esp), %eax
	subl	%eax, 268(%esp)
	movl	272(%esp), %eax
	subl	%eax, 276(%esp)
	movl	280(%esp), %eax
	subl	%eax, 284(%esp)
	movl	288(%esp), %eax
	subl	%eax, 292(%esp)
	movl	296(%esp), %eax
	subl	%eax, 300(%esp)
	movl	304(%esp), %eax
	subl	%eax, 308(%esp)
	movl	312(%esp), %eax
	subl	%eax, 316(%esp)
	.loc 2 112 0
	movl	$.LC0, %edx
	movl	stderr, %eax
	movl	268(%esp), %ecx
	movl	%ecx, 12(%esp)
	movl	260(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	$.LC1, %edx
	movl	stderr, %eax
	movl	284(%esp), %ecx
	movl	%ecx, 12(%esp)
	movl	276(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	$.LC2, %edx
	movl	stderr, %eax
	movl	300(%esp), %ecx
	movl	%ecx, 12(%esp)
	movl	292(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	movl	$.LC3, %edx
	movl	stderr, %eax
	movl	316(%esp), %ecx
	movl	%ecx, 12(%esp)
	movl	308(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	.loc 2 114 0
	movl	$0, %eax
	.loc 2 115 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	main, .-main
.Letext0:
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 4 "/usr/include/bits/types.h"
	.file 5 "/usr/include/libio.h"
	.file 6 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stdarg.h"
	.file 7 "/usr/include/stdio.h"
	.file 8 "../memcheck.h"
	.section	.debug_info
	.long	0xa13
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF126
	.byte	0x1
	.long	.LASF127
	.long	.LASF128
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF8
	.byte	0x3
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.long	.LASF9
	.byte	0x4
	.byte	0x38
	.long	0x61
	.uleb128 0x2
	.long	.LASF10
	.byte	0x4
	.byte	0x8d
	.long	0x85
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF11
	.uleb128 0x2
	.long	.LASF12
	.byte	0x4
	.byte	0x8e
	.long	0x6f
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x9f
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF13
	.uleb128 0x7
	.long	.LASF44
	.byte	0x94
	.byte	0x5
	.value	0x10f
	.long	0x23a
	.uleb128 0x8
	.long	.LASF14
	.byte	0x5
	.value	0x110
	.long	0x5a
	.sleb128 0
	.uleb128 0x8
	.long	.LASF15
	.byte	0x5
	.value	0x115
	.long	0x99
	.sleb128 4
	.uleb128 0x8
	.long	.LASF16
	.byte	0x5
	.value	0x116
	.long	0x99
	.sleb128 8
	.uleb128 0x8
	.long	.LASF17
	.byte	0x5
	.value	0x117
	.long	0x99
	.sleb128 12
	.uleb128 0x8
	.long	.LASF18
	.byte	0x5
	.value	0x118
	.long	0x99
	.sleb128 16
	.uleb128 0x8
	.long	.LASF19
	.byte	0x5
	.value	0x119
	.long	0x99
	.sleb128 20
	.uleb128 0x8
	.long	.LASF20
	.byte	0x5
	.value	0x11a
	.long	0x99
	.sleb128 24
	.uleb128 0x8
	.long	.LASF21
	.byte	0x5
	.value	0x11b
	.long	0x99
	.sleb128 28
	.uleb128 0x8
	.long	.LASF22
	.byte	0x5
	.value	0x11c
	.long	0x99
	.sleb128 32
	.uleb128 0x8
	.long	.LASF23
	.byte	0x5
	.value	0x11e
	.long	0x99
	.sleb128 36
	.uleb128 0x8
	.long	.LASF24
	.byte	0x5
	.value	0x11f
	.long	0x99
	.sleb128 40
	.uleb128 0x8
	.long	.LASF25
	.byte	0x5
	.value	0x120
	.long	0x99
	.sleb128 44
	.uleb128 0x8
	.long	.LASF26
	.byte	0x5
	.value	0x122
	.long	0x297
	.sleb128 48
	.uleb128 0x8
	.long	.LASF27
	.byte	0x5
	.value	0x124
	.long	0x29d
	.sleb128 52
	.uleb128 0x8
	.long	.LASF28
	.byte	0x5
	.value	0x126
	.long	0x5a
	.sleb128 56
	.uleb128 0x8
	.long	.LASF29
	.byte	0x5
	.value	0x12a
	.long	0x5a
	.sleb128 60
	.uleb128 0x8
	.long	.LASF30
	.byte	0x5
	.value	0x12c
	.long	0x7a
	.sleb128 64
	.uleb128 0x8
	.long	.LASF31
	.byte	0x5
	.value	0x130
	.long	0x3e
	.sleb128 68
	.uleb128 0x8
	.long	.LASF32
	.byte	0x5
	.value	0x131
	.long	0x4c
	.sleb128 70
	.uleb128 0x8
	.long	.LASF33
	.byte	0x5
	.value	0x132
	.long	0x2a3
	.sleb128 71
	.uleb128 0x8
	.long	.LASF34
	.byte	0x5
	.value	0x136
	.long	0x2b3
	.sleb128 72
	.uleb128 0x8
	.long	.LASF35
	.byte	0x5
	.value	0x13f
	.long	0x8c
	.sleb128 76
	.uleb128 0x8
	.long	.LASF36
	.byte	0x5
	.value	0x148
	.long	0x97
	.sleb128 84
	.uleb128 0x8
	.long	.LASF37
	.byte	0x5
	.value	0x149
	.long	0x97
	.sleb128 88
	.uleb128 0x8
	.long	.LASF38
	.byte	0x5
	.value	0x14a
	.long	0x97
	.sleb128 92
	.uleb128 0x8
	.long	.LASF39
	.byte	0x5
	.value	0x14b
	.long	0x97
	.sleb128 96
	.uleb128 0x8
	.long	.LASF40
	.byte	0x5
	.value	0x14c
	.long	0x25
	.sleb128 100
	.uleb128 0x8
	.long	.LASF41
	.byte	0x5
	.value	0x14e
	.long	0x5a
	.sleb128 104
	.uleb128 0x8
	.long	.LASF42
	.byte	0x5
	.value	0x150
	.long	0x2b9
	.sleb128 108
	.byte	0x0
	.uleb128 0x9
	.long	0x9f
	.long	0x24a
	.uleb128 0xa
	.long	0x30
	.byte	0x3
	.byte	0x0
	.uleb128 0x2
	.long	.LASF43
	.byte	0x6
	.byte	0x28
	.long	0x255
	.uleb128 0xb
	.byte	0x4
	.long	.LASF129
	.long	0x9f
	.uleb128 0xc
	.long	.LASF130
	.byte	0x5
	.byte	0xb4
	.uleb128 0xd
	.long	.LASF45
	.byte	0xc
	.byte	0x5
	.byte	0xba
	.long	0x297
	.uleb128 0xe
	.long	.LASF46
	.byte	0x5
	.byte	0xbb
	.long	0x297
	.sleb128 0
	.uleb128 0xe
	.long	.LASF47
	.byte	0x5
	.byte	0xbc
	.long	0x29d
	.sleb128 4
	.uleb128 0xe
	.long	.LASF48
	.byte	0x5
	.byte	0xc0
	.long	0x5a
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x266
	.uleb128 0x6
	.byte	0x4
	.long	0xa6
	.uleb128 0x9
	.long	0x9f
	.long	0x2b3
	.uleb128 0xa
	.long	0x30
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x25f
	.uleb128 0x9
	.long	0x9f
	.long	0x2c9
	.uleb128 0xa
	.long	0x30
	.byte	0x27
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x2cf
	.uleb128 0xf
	.long	0x9f
	.uleb128 0x2
	.long	.LASF49
	.byte	0x7
	.byte	0x50
	.long	0x24a
	.uleb128 0x10
	.byte	0x4
	.byte	0x1
	.value	0xe16
	.long	0x3b4
	.uleb128 0x11
	.long	.LASF50
	.sleb128 4097
	.uleb128 0x11
	.long	.LASF51
	.sleb128 4098
	.uleb128 0x11
	.long	.LASF52
	.sleb128 4353
	.uleb128 0x11
	.long	.LASF53
	.sleb128 4354
	.uleb128 0x11
	.long	.LASF54
	.sleb128 4355
	.uleb128 0x11
	.long	.LASF55
	.sleb128 4356
	.uleb128 0x11
	.long	.LASF56
	.sleb128 4609
	.uleb128 0x11
	.long	.LASF57
	.sleb128 4610
	.uleb128 0x11
	.long	.LASF58
	.sleb128 4865
	.uleb128 0x11
	.long	.LASF59
	.sleb128 4875
	.uleb128 0x11
	.long	.LASF60
	.sleb128 4866
	.uleb128 0x11
	.long	.LASF61
	.sleb128 4867
	.uleb128 0x11
	.long	.LASF62
	.sleb128 4868
	.uleb128 0x11
	.long	.LASF63
	.sleb128 4869
	.uleb128 0x11
	.long	.LASF64
	.sleb128 4870
	.uleb128 0x11
	.long	.LASF65
	.sleb128 4871
	.uleb128 0x11
	.long	.LASF66
	.sleb128 4872
	.uleb128 0x11
	.long	.LASF67
	.sleb128 4873
	.uleb128 0x11
	.long	.LASF68
	.sleb128 4874
	.uleb128 0x11
	.long	.LASF69
	.sleb128 5121
	.uleb128 0x11
	.long	.LASF70
	.sleb128 5122
	.uleb128 0x11
	.long	.LASF71
	.sleb128 5123
	.uleb128 0x11
	.long	.LASF72
	.sleb128 5124
	.uleb128 0x11
	.long	.LASF73
	.sleb128 5377
	.uleb128 0x11
	.long	.LASF74
	.sleb128 5378
	.uleb128 0x11
	.long	.LASF75
	.sleb128 5379
	.uleb128 0x11
	.long	.LASF76
	.sleb128 5633
	.uleb128 0x11
	.long	.LASF77
	.sleb128 5889
	.uleb128 0x11
	.long	.LASF78
	.sleb128 6145
	.byte	0x0
	.uleb128 0x12
	.byte	0x4
	.byte	0x8
	.byte	0x4f
	.long	0x449
	.uleb128 0x11
	.long	.LASF79
	.sleb128 1296236544
	.uleb128 0x11
	.long	.LASF80
	.sleb128 1296236545
	.uleb128 0x11
	.long	.LASF81
	.sleb128 1296236546
	.uleb128 0x11
	.long	.LASF82
	.sleb128 1296236547
	.uleb128 0x11
	.long	.LASF83
	.sleb128 1296236548
	.uleb128 0x11
	.long	.LASF84
	.sleb128 1296236549
	.uleb128 0x11
	.long	.LASF85
	.sleb128 1296236550
	.uleb128 0x11
	.long	.LASF86
	.sleb128 1296236551
	.uleb128 0x11
	.long	.LASF87
	.sleb128 1296236552
	.uleb128 0x11
	.long	.LASF88
	.sleb128 1296236553
	.uleb128 0x11
	.long	.LASF89
	.sleb128 1296236554
	.uleb128 0x11
	.long	.LASF90
	.sleb128 1296236555
	.uleb128 0x11
	.long	.LASF91
	.sleb128 1296236556
	.uleb128 0x11
	.long	.LASF92
	.sleb128 1296236800
	.byte	0x0
	.uleb128 0xd
	.long	.LASF93
	.byte	0x8
	.byte	0x2
	.byte	0x29
	.long	0x46e
	.uleb128 0xe
	.long	.LASF94
	.byte	0x2
	.byte	0x2a
	.long	0x46e
	.sleb128 0
	.uleb128 0xe
	.long	.LASF95
	.byte	0x2
	.byte	0x2d
	.long	0x23a
	.sleb128 4
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x449
	.uleb128 0x2
	.long	.LASF96
	.byte	0x2
	.byte	0x2e
	.long	0x449
	.uleb128 0x13
	.long	.LASF101
	.byte	0x1
	.value	0xe82
	.byte	0x1
	.long	0x5a
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x4f1
	.uleb128 0x14
	.long	.LASF103
	.byte	0x1
	.value	0xe82
	.long	0x2c9
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x15
	.uleb128 0x16
	.long	.LASF97
	.byte	0x1
	.value	0xe8a
	.long	0x45
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x16
	.long	.LASF98
	.byte	0x1
	.value	0xe8c
	.long	0x2d4
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x17
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x16
	.long	.LASF99
	.byte	0x1
	.value	0xe95
	.long	0x501
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x16
	.long	.LASF100
	.byte	0x1
	.value	0xe95
	.long	0x506
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.long	0x30
	.long	0x501
	.uleb128 0xa
	.long	0x30
	.byte	0x5
	.byte	0x0
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x30
	.uleb128 0x13
	.long	.LASF102
	.byte	0x1
	.value	0xea8
	.byte	0x1
	.long	0x5a
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x57d
	.uleb128 0x14
	.long	.LASF103
	.byte	0x1
	.value	0xea8
	.long	0x2c9
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x15
	.uleb128 0x16
	.long	.LASF97
	.byte	0x1
	.value	0xeb0
	.long	0x45
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x16
	.long	.LASF98
	.byte	0x1
	.value	0xeb2
	.long	0x2d4
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x17
	.long	.LBB3
	.long	.LBE3
	.uleb128 0x16
	.long	.LASF99
	.byte	0x1
	.value	0xebb
	.long	0x57d
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x16
	.long	.LASF100
	.byte	0x1
	.value	0xebb
	.long	0x506
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x19
	.byte	0x1
	.string	"mk"
	.byte	0x2
	.byte	0x30
	.byte	0x1
	.long	0x5b7
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x5b7
	.uleb128 0x1a
	.long	.LASF94
	.byte	0x2
	.byte	0x30
	.long	0x5b7
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1b
	.string	"x"
	.byte	0x2
	.byte	0x34
	.long	0x5b7
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x474
	.uleb128 0x1c
	.byte	0x1
	.string	"f"
	.byte	0x2
	.byte	0x44
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.uleb128 0x1d
	.byte	0x1
	.long	.LASF104
	.byte	0x2
	.byte	0x60
	.byte	0x1
	.long	0x5a
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x8f1
	.uleb128 0x1e
	.long	.LASF105
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 256
	.uleb128 0x1e
	.long	.LASF106
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 260
	.uleb128 0x1e
	.long	.LASF107
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 264
	.uleb128 0x1e
	.long	.LASF108
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 268
	.uleb128 0x1e
	.long	.LASF109
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 272
	.uleb128 0x1e
	.long	.LASF110
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 276
	.uleb128 0x1e
	.long	.LASF111
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 280
	.uleb128 0x1e
	.long	.LASF112
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 284
	.uleb128 0x1e
	.long	.LASF113
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 288
	.uleb128 0x1e
	.long	.LASF114
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 292
	.uleb128 0x1e
	.long	.LASF115
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 296
	.uleb128 0x1e
	.long	.LASF116
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 300
	.uleb128 0x1e
	.long	.LASF117
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 304
	.uleb128 0x1e
	.long	.LASF118
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 308
	.uleb128 0x1e
	.long	.LASF119
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 312
	.uleb128 0x1e
	.long	.LASF120
	.byte	0x2
	.byte	0x62
	.long	0x85
	.byte	0x3
	.byte	0x74
	.sleb128 316
	.uleb128 0x1f
	.long	.LBB4
	.long	.LBE4
	.long	0x705
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x64
	.long	0x8f1
	.byte	0x3
	.byte	0x74
	.sleb128 232
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x64
	.long	0x506
	.byte	0x3
	.byte	0x74
	.sleb128 228
	.byte	0x0
	.uleb128 0x1f
	.long	.LBB5
	.long	.LBE5
	.long	0x777
	.uleb128 0x1e
	.long	.LASF121
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 224
	.uleb128 0x1e
	.long	.LASF122
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 220
	.uleb128 0x1e
	.long	.LASF123
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 216
	.uleb128 0x1e
	.long	.LASF124
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 212
	.uleb128 0x17
	.long	.LBB6
	.long	.LBE6
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x64
	.long	0x8f6
	.byte	0x3
	.byte	0x74
	.sleb128 188
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x64
	.long	0x506
	.byte	0x3
	.byte	0x74
	.sleb128 184
	.byte	0x0
	.byte	0x0
	.uleb128 0x1f
	.long	.LBB7
	.long	.LBE7
	.long	0x7e9
	.uleb128 0x1e
	.long	.LASF121
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 180
	.uleb128 0x1e
	.long	.LASF122
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 176
	.uleb128 0x1e
	.long	.LASF123
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 172
	.uleb128 0x1e
	.long	.LASF124
	.byte	0x2
	.byte	0x64
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 168
	.uleb128 0x17
	.long	.LBB8
	.long	.LBE8
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x64
	.long	0x8fb
	.byte	0x3
	.byte	0x74
	.sleb128 144
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x64
	.long	0x506
	.byte	0x3
	.byte	0x74
	.sleb128 140
	.byte	0x0
	.byte	0x0
	.uleb128 0x1f
	.long	.LBB9
	.long	.LBE9
	.long	0x815
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x6e
	.long	0x900
	.byte	0x3
	.byte	0x74
	.sleb128 116
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x6e
	.long	0x506
	.byte	0x3
	.byte	0x74
	.sleb128 112
	.byte	0x0
	.uleb128 0x1f
	.long	.LBB10
	.long	.LBE10
	.long	0x887
	.uleb128 0x1e
	.long	.LASF121
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 108
	.uleb128 0x1e
	.long	.LASF122
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 104
	.uleb128 0x1e
	.long	.LASF123
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 100
	.uleb128 0x1e
	.long	.LASF124
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 96
	.uleb128 0x17
	.long	.LBB11
	.long	.LBE11
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x6e
	.long	0x905
	.byte	0x3
	.byte	0x74
	.sleb128 72
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x6e
	.long	0x506
	.byte	0x3
	.byte	0x74
	.sleb128 68
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.long	.LBB12
	.long	.LBE12
	.uleb128 0x1e
	.long	.LASF121
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x3
	.byte	0x74
	.sleb128 64
	.uleb128 0x1e
	.long	.LASF122
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x2
	.byte	0x74
	.sleb128 60
	.uleb128 0x1e
	.long	.LASF123
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x2
	.byte	0x74
	.sleb128 56
	.uleb128 0x1e
	.long	.LASF124
	.byte	0x2
	.byte	0x6e
	.long	0x45
	.byte	0x2
	.byte	0x74
	.sleb128 52
	.uleb128 0x17
	.long	.LBB13
	.long	.LBE13
	.uleb128 0x1e
	.long	.LASF99
	.byte	0x2
	.byte	0x6e
	.long	0x90a
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.uleb128 0x1e
	.long	.LASF100
	.byte	0x2
	.byte	0x6e
	.long	0x506
	.byte	0x2
	.byte	0x74
	.sleb128 24
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x18
	.long	0x4f1
	.uleb128 0x20
	.long	.LASF125
	.byte	0x7
	.byte	0xa7
	.long	0x29d
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p1"
	.byte	0x2
	.byte	0x3a
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p2"
	.byte	0x2
	.byte	0x3b
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p5"
	.byte	0x2
	.byte	0x3e
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p6"
	.byte	0x2
	.byte	0x3f
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p7"
	.byte	0x2
	.byte	0x40
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p8"
	.byte	0x2
	.byte	0x41
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.string	"p9"
	.byte	0x2
	.byte	0x42
	.long	0x5b7
	.byte	0x1
	.byte	0x1
	.uleb128 0x20
	.long	.LASF125
	.byte	0x7
	.byte	0xa7
	.long	0x29d
	.byte	0x1
	.byte	0x1
	.uleb128 0x22
	.string	"p1"
	.byte	0x2
	.byte	0x3a
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p1
	.uleb128 0x22
	.string	"p2"
	.byte	0x2
	.byte	0x3b
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p2
	.uleb128 0x22
	.string	"p3"
	.byte	0x2
	.byte	0x3c
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p3
	.uleb128 0x22
	.string	"p4"
	.byte	0x2
	.byte	0x3d
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p4
	.uleb128 0x22
	.string	"p5"
	.byte	0x2
	.byte	0x3e
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p5
	.uleb128 0x22
	.string	"p6"
	.byte	0x2
	.byte	0x3f
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p6
	.uleb128 0x22
	.string	"p7"
	.byte	0x2
	.byte	0x40
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p7
	.uleb128 0x22
	.string	"p8"
	.byte	0x2
	.byte	0x41
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p8
	.uleb128 0x22
	.string	"p9"
	.byte	0x2
	.byte	0x42
	.long	0x5b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	p9
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x28
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x18
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.uleb128 0x35
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x19
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1a
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1b
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1d
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1e
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1f
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x20
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x21
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x22
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x63
	.value	0x2
	.long	.Ldebug_info0
	.long	0xa17
	.long	0x582
	.string	"mk"
	.long	0x5bd
	.string	"f"
	.long	0x5ce
	.string	"main"
	.long	0x97d
	.string	"p1"
	.long	0x98e
	.string	"p2"
	.long	0x99f
	.string	"p3"
	.long	0x9b0
	.string	"p4"
	.long	0x9c1
	.string	"p5"
	.long	0x9d2
	.string	"p6"
	.long	0x9e3
	.string	"p7"
	.long	0x9f4
	.string	"p8"
	.long	0xa05
	.string	"p9"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x9d
	.value	0x2
	.long	.Ldebug_info0
	.long	0xa17
	.long	0x25
	.string	"size_t"
	.long	0x6f
	.string	"__quad_t"
	.long	0x7a
	.string	"__off_t"
	.long	0x8c
	.string	"__off64_t"
	.long	0x24a
	.string	"__gnuc_va_list"
	.long	0x25f
	.string	"_IO_lock_t"
	.long	0x266
	.string	"_IO_marker"
	.long	0xa6
	.string	"_IO_FILE"
	.long	0x2d4
	.string	"va_list"
	.long	0x449
	.string	"_Node"
	.long	0x474
	.string	"Node"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF10:
	.string	"__off_t"
.LASF15:
	.string	"_IO_read_ptr"
.LASF27:
	.string	"_chain"
.LASF8:
	.string	"size_t"
.LASF33:
	.string	"_shortbuf"
.LASF86:
	.string	"VG_USERREQ__COUNT_LEAKS"
.LASF49:
	.string	"va_list"
.LASF113:
	.string	"R0_bytes"
.LASF102:
	.string	"VALGRIND_PRINTF_BACKTRACE"
.LASF21:
	.string	"_IO_buf_base"
.LASF116:
	.string	"R_blocks"
.LASF82:
	.string	"VG_USERREQ__DISCARD"
.LASF7:
	.string	"long long unsigned int"
.LASF61:
	.string	"VG_USERREQ__CREATE_MEMPOOL"
.LASF94:
	.string	"next"
.LASF73:
	.string	"VG_USERREQ__STACK_REGISTER"
.LASF6:
	.string	"long long int"
.LASF4:
	.string	"signed char"
.LASF93:
	.string	"_Node"
.LASF69:
	.string	"VG_USERREQ__PRINTF"
.LASF28:
	.string	"_fileno"
.LASF60:
	.string	"VG_USERREQ__FREELIKE_BLOCK"
.LASF16:
	.string	"_IO_read_end"
.LASF54:
	.string	"VG_USERREQ__CLIENT_CALL2"
.LASF11:
	.string	"long int"
.LASF14:
	.string	"_flags"
.LASF114:
	.string	"R_bytes"
.LASF129:
	.string	"__builtin_va_list"
.LASF22:
	.string	"_IO_buf_end"
.LASF31:
	.string	"_cur_column"
.LASF123:
	.string	"_qzz_reachable"
.LASF9:
	.string	"__quad_t"
.LASF30:
	.string	"_old_offset"
.LASF35:
	.string	"_offset"
.LASF81:
	.string	"VG_USERREQ__MAKE_MEM_DEFINED"
.LASF95:
	.string	"padding"
.LASF45:
	.string	"_IO_marker"
.LASF0:
	.string	"unsigned int"
.LASF57:
	.string	"VG_USERREQ__GDB_MONITOR_COMMAND"
.LASF106:
	.string	"L_bytes"
.LASF52:
	.string	"VG_USERREQ__CLIENT_CALL0"
.LASF53:
	.string	"VG_USERREQ__CLIENT_CALL1"
.LASF3:
	.string	"long unsigned int"
.LASF55:
	.string	"VG_USERREQ__CLIENT_CALL3"
.LASF67:
	.string	"VG_USERREQ__MEMPOOL_CHANGE"
.LASF19:
	.string	"_IO_write_ptr"
.LASF108:
	.string	"L_blocks"
.LASF47:
	.string	"_sbuf"
.LASF2:
	.string	"short unsigned int"
.LASF64:
	.string	"VG_USERREQ__MEMPOOL_FREE"
.LASF65:
	.string	"VG_USERREQ__MEMPOOL_TRIM"
.LASF91:
	.string	"VG_USERREQ__COUNT_LEAK_BLOCKS"
.LASF23:
	.string	"_IO_save_base"
.LASF98:
	.string	"vargs"
.LASF63:
	.string	"VG_USERREQ__MEMPOOL_ALLOC"
.LASF97:
	.string	"_qzz_res"
.LASF75:
	.string	"VG_USERREQ__STACK_CHANGE"
.LASF34:
	.string	"_lock"
.LASF111:
	.string	"D0_blocks"
.LASF29:
	.string	"_flags2"
.LASF41:
	.string	"_mode"
.LASF99:
	.string	"_zzq_args"
.LASF76:
	.string	"VG_USERREQ__LOAD_PDB_DEBUGINFO"
.LASF110:
	.string	"D_bytes"
.LASF118:
	.string	"S_bytes"
.LASF72:
	.string	"VG_USERREQ__PRINTF_BACKTRACE_VALIST_BY_REF"
.LASF43:
	.string	"__gnuc_va_list"
.LASF115:
	.string	"R0_blocks"
.LASF20:
	.string	"_IO_write_end"
.LASF90:
	.string	"VG_USERREQ__MAKE_MEM_DEFINED_IF_ADDRESSABLE"
.LASF77:
	.string	"VG_USERREQ__MAP_IP_TO_SRCLOC"
.LASF130:
	.string	"_IO_lock_t"
.LASF44:
	.string	"_IO_FILE"
.LASF78:
	.string	"VG_USERREQ__CHANGE_ERR_DISABLEMENT"
.LASF105:
	.string	"L0_bytes"
.LASF70:
	.string	"VG_USERREQ__PRINTF_BACKTRACE"
.LASF50:
	.string	"VG_USERREQ__RUNNING_ON_VALGRIND"
.LASF83:
	.string	"VG_USERREQ__CHECK_MEM_IS_ADDRESSABLE"
.LASF48:
	.string	"_pos"
.LASF62:
	.string	"VG_USERREQ__DESTROY_MEMPOOL"
.LASF126:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF66:
	.string	"VG_USERREQ__MOVE_MEMPOOL"
.LASF26:
	.string	"_markers"
.LASF100:
	.string	"_zzq_result"
.LASF107:
	.string	"L0_blocks"
.LASF1:
	.string	"unsigned char"
.LASF88:
	.string	"VG_USERREQ__SET_VBITS"
.LASF124:
	.string	"_qzz_suppressed"
.LASF80:
	.string	"VG_USERREQ__MAKE_MEM_UNDEFINED"
.LASF5:
	.string	"short int"
.LASF119:
	.string	"S0_blocks"
.LASF84:
	.string	"VG_USERREQ__CHECK_MEM_IS_DEFINED"
.LASF122:
	.string	"_qzz_dubious"
.LASF32:
	.string	"_vtable_offset"
.LASF109:
	.string	"D0_bytes"
.LASF103:
	.string	"format"
.LASF112:
	.string	"D_blocks"
.LASF128:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests"
.LASF101:
	.string	"VALGRIND_PRINTF"
.LASF13:
	.string	"char"
.LASF117:
	.string	"S0_bytes"
.LASF120:
	.string	"S_blocks"
.LASF127:
	.string	"leak-cases.c"
.LASF51:
	.string	"VG_USERREQ__DISCARD_TRANSLATIONS"
.LASF79:
	.string	"VG_USERREQ__MAKE_MEM_NOACCESS"
.LASF46:
	.string	"_next"
.LASF12:
	.string	"__off64_t"
.LASF17:
	.string	"_IO_read_base"
.LASF85:
	.string	"VG_USERREQ__DO_LEAK_CHECK"
.LASF25:
	.string	"_IO_save_end"
.LASF56:
	.string	"VG_USERREQ__COUNT_ERRORS"
.LASF58:
	.string	"VG_USERREQ__MALLOCLIKE_BLOCK"
.LASF36:
	.string	"__pad1"
.LASF37:
	.string	"__pad2"
.LASF38:
	.string	"__pad3"
.LASF39:
	.string	"__pad4"
.LASF40:
	.string	"__pad5"
.LASF87:
	.string	"VG_USERREQ__GET_VBITS"
.LASF42:
	.string	"_unused2"
.LASF125:
	.string	"stderr"
.LASF96:
	.string	"Node"
.LASF71:
	.string	"VG_USERREQ__PRINTF_VALIST_BY_REF"
.LASF24:
	.string	"_IO_backup_base"
.LASF74:
	.string	"VG_USERREQ__STACK_DEREGISTER"
.LASF68:
	.string	"VG_USERREQ__MEMPOOL_EXISTS"
.LASF92:
	.string	"_VG_USERREQ__MEMCHECK_RECORD_OVERLAP_ERROR"
.LASF121:
	.string	"_qzz_leaked"
.LASF104:
	.string	"main"
.LASF18:
	.string	"_IO_write_base"
.LASF89:
	.string	"VG_USERREQ__CREATE_BLOCK"
.LASF59:
	.string	"VG_USERREQ__RESIZEINPLACE_BLOCK"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
